"""make user_target not nullable

Revision ID: 67c38b3f39c2
Revises: a5466912fad0
Create Date: 2023-03-20 11:08:42.883556

"""
import sqlalchemy as sa
from alembic import op
from nonebot_plugin_datastore.db import get_engine
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "67c38b3f39c2"
down_revision = "a5466912fad0"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("nonebot_bison_user", schema=None) as batch_op:
        if get_engine().name == "postgresql":
            batch_op.alter_column(
                sa.Column("user_target", postgresql.JSONB(), nullable=False)
            )
        else:
            batch_op.alter_column(
                "user_target", existing_type=sa.JSON(), nullable=False
            )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("nonebot_bison_user", schema=None) as batch_op:
        if get_engine().name == "postgresql":
            batch_op.alter_column(
                sa.Column("user_target", postgresql.JSONB(), nullable=True)
            )
        else:
            batch_op.alter_column("user_target", existing_type=sa.JSON(), nullable=True)

    # ### end Alembic commands ###
